List the keys
This key management operation allows the listing of the keys from the repository.
List the keys
GET
https://my.ence.do/api/keymgmt/listGET
https://my.ence.do/api/keymgmt/list/{offset}GET
https://my.ence.do/api/keymgmt/list/{offset}/{count}List the keys stored in the repository, with pagination: without arguments the first page (up to 15
records) is returned; offset skips that many valid records; count sets the page size.
Headers
| Name | Type | Description |
|---|---|---|
| Authorization* | String | Bearer JWT_TOKEN |
Path Parameters
| Name | Type | Description |
|---|---|---|
offset | Number | Number of valid records to skip (decimal digits only). |
count | Number | Number of records to return (requires offset); default is 15. |
Response status code
- 200: Operation successful
- 401: Missing or invalid JWT_TOKEN
- 403: Incorrect access scope
- 406: Operation failed
- 409: Incorrect internal state
- 412: Protocol error - CORS validation failed
- 418: TLS connection required
{
"offset": 0,
"total": 5,
"listed": 5,
"list": [{
"kid": "d4fda14010b3acd0d5482d9881a03fbf",
"created": 1647381409,
"type": "ATT,PKEY,GENERIC_DER",
"label": "TLS PrivateKey",
"descr": "RE5TOmlwMTEuZW5jZS5kbw==",
"updated": 1647381409
}, {
"kid": "761bbb76b4dcffd9a78df8b992caa0b6",
"created": 1647381469,
"type": "CERT,GENERIC_DER",
"label": "TLS Certificate",
"descr": "RE5TOmlwMTEuZW5jZS5kbw==",
"updated": 1647381469
}, {
"kid": "8b7eeb47a28bedb068915bf6513815f1",
"created": 1647804527,
"type": "ATT,PKEY,ECDH,CURVE25519",
"label": "Test key 1",
"updated": 1647804527
}, {
"kid": "aad3eabce0b97242fe328fbb2973b17c",
"created": 1647804552,
"type": "ATT,PKEY,ECDH,ExDSA,SECP384R1",
"label": "Signing key",
"updated": 1647804552
}, {
"kid": "4111bc76291bff8d319a056f15bb46f0",
"created": 1647802803,
"type": "ATT,PKEY,ECDH,CURVE448",
"label": "Chris main Transfer key",
"descr": "RVRTRlRYNTcyMDc0NzI1MjI1NTE3OWNocmlzQGVuY2Vkby5jb20=",
"updated": 1647802803
}]
}
No response body.
No response body.
No response body.
No response body.
No response body.
No response body.
Response data for successful operation
| Name | Type | Description |
|---|---|---|
listed | Number | Number of listed keys |
list | Array of objects | An array of keys details |
offset | Number | Number of skipped keys (offset) |
total | Number | Number of keys in repository |
The list object contains: | ||
created | Number | Creation timestamp |
descr | String | Base64 encoded additional description |
kid | String | Key ID, 32 chars hex string |
label | String | Key label |
type | String | Type of a key |
updated | Number | Last update timestamp |
Log entries
| Event | Result | Source |
|---|---|---|
| LOG_TYPE_FAILED_SCOPE_CHECK | LOG_RESULT_FAILED | 403 |